const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
class ImginfoService extends ServiceBase {
  constructor() {
    super("configmag", ServiceBase.getDaoName(ImginfoService));
  }
  async getImgList(obj){
    var res = await this.dao.findAndCountAll(obj);
    return system.getResultSuccess(res);
  }
  async create(pobj){
    var code = await this.getBusUid("img");
    pobj.code = code;
    return this.dao.create(pobj);
  }
}
module.exports = ImginfoService;